using System;
class Program
{
    static void Main(string[] args)
    {
        int a,c,d=10,e,f=0;
        int []b=new int[2147483647];
        a=int.Parse(Console.ReadLine());
        while(a/d>0)
        {
            b[f]=a%d;
            if(b[f]==1 || b[f]==2 || b[f]==5)
                e++;
            if(b[f]==3 || b[f]==4 || b[f]==6 || b[f]==7)
                e+=2;
            if(b[f]==8 || b[f]==9)
                e+=3;
            d*=10;
            f++;
        }
        Console.WriteLine(f);
    }
}